BufferClustering (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Class BufferClustering

- java.lang.Object
- - org.apache.cassandra.db.AbstractClusteringPrefix
  - - org.apache.cassandra.db.AbstractBufferClusteringPrefix
    - - org.apache.cassandra.db.BufferClustering

- All Implemented Interfaces:
    IMeasurableMemory, Clusterable, Clustering, ClusteringPrefix

      public class BufferClustering
      extends AbstractBufferClusteringPrefix
      implements Clustering

  The clustering column values for a row.

  A `Clustering` is a `ClusteringPrefix` that must always be "complete", i.e. have as many values as there is clustering columns in the table it is part of. It is the clustering prefix used by rows.

  Note however that while it's size must be equal to the table clustering size, a clustering can have `null` values, and this mostly for thrift backward compatibility (in practice, if a value is null, all of the following ones will be too because that's what thrift allows, but it's never assumed by the code so we could start generally allowing nulls for clustering columns if we wanted to).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.db.Clustering

      `Clustering.Serializer`

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.db.ClusteringPrefix

      `ClusteringPrefix.Deserializer, ClusteringPrefix.Kind`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.db.AbstractBufferClusteringPrefix

      `EMPTY_VALUES_ARRAY, kind, values`

    - ### Fields inherited from interface org.apache.cassandra.db.Clustering

      `EMPTY, serializer, STATIC_CLUSTERING`

  - ### Method Summary

    - ### Methods inherited from class org.apache.cassandra.db.AbstractBufferClusteringPrefix

      `clustering, get, getRawValues, kind, size, unsharedHeapSize, unsharedHeapSizeExcludingData`

    - ### Methods inherited from class org.apache.cassandra.db.AbstractClusteringPrefix

      `dataSize, digest, equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.db.Clustering

      `copy, make, toCQLString, toString, unsharedHeapSizeExcludingData`

    - ### Methods inherited from interface org.apache.cassandra.db.ClusteringPrefix

      `dataSize, digest, get, getRawValues, kind, size`

    - ### Methods inherited from interface org.apache.cassandra.cache.IMeasurableMemory

      `unsharedHeapSize`

    - ### Methods inherited from interface org.apache.cassandra.db.Clusterable

      `clustering`

Copyright © 2018 The Apache Software Foundation